Bug 77551 - network configuration crashed
network configuration crashed
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: netcfg (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-08 16:37 EST by LAYKIONG ONG
Modified: 2007-04-18 12:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:38:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description LAYKIONG ONG 2002-11-08 16:37:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
network configuration keeps crashing after I installed the latest patch via up2date.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.launch network configuration
2.click hardware
3.click add
4.click ethernet
5. crash
	

Actual Results:  crash

Expected Results:  let me add new cards

Additional info:

Traceback (innermost last):
  File "/usr/sbin/neat", line 1402, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 1239, in on_hardwareAddButton_clicked
    self.showHardwareDialog(type, false)
  File "/usr/sbin/neat", line 1269, in showHardwareDialog
    dialog = ethernetHardwareDialog(hw)
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/ethernethardware.py",
line 75, in __init__
    self.setup()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/ethernethardware.py",
line 135, in setup
    list.append(modInfo[i]['description'])
KeyError: description

Local variables in innermost frame:
modInfo: <netconfpkg.Conf.ConfModInfo instance at 84c9290>
list: ['RealTek RTL8129', 'Raytheon Raylink/WebGear/Aviator PCMCIA wireless',
'SMC Ultra32 EISA', 'DEC 21*40 and clones', 'Lucent Orinoco/Melco PCMCIA
wireless (alternate)', 'SMC 91c92 series PCMCIA', 'Aironet 4500 PCI-ISA-i365
wireless', 'Intel EtherExpress/1000', 'PCI NE2000 clones', 'MiCom-Interlan
NI5010', '3Com 3c515 Corkscrew', 'SMC 83c170 EPIC/100', 'NI5210 ethernet',
'AT1500, HP J2405A, most NE2100/clone', 'MyriCOM MyriNET SBUS', '3Com
EtherLink16', 'AT&T/Lucent/Hitachi ISA WaveLAN', 'SiS 900/7016CI', 'Cabletron
E2100', 'NE1000, NE2000, and compatible', 'Intel EtherExpress Pro 100B', 'Allied
Telesis AT1700', 'Greenwigh GIrBIL IrDA', 'Older DEC 21040, most 21*40', 'NSC
IrDA', 'Sun Quad', 'ICL EtherTeam 16i/32 EISA', '3Com 3c590/3c595/3c90x/3cx980',
'3Com 3c589 series PCMCIA', 'Sun BigMac', 'ThunderLAN', '3Com 3c574 series
PCMCIA', 'Ansel Communications Model 3200', 'Aironet 4500 PCMCIA wireless',
'Xircom CBE-100 CardBus', 'General Instruments SB1000']
self: <netconfpkg.gui.ethernethardware.ethernetHardwareDialog instance at 84c1c80>
i: defxx
Comment 1 Michael Schwendt 2002-11-23 17:53:46 EST
Duplicate of bug #76446.
Comment 2 Bill Nottingham 2006-08-05 00:42:39 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Bill Nottingham 2006-10-18 12:38:31 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.